PrintWriter bars;
int cur_y;
int min_y = 25;

void setup()
{
  size( 100, 500 );
  bars = createWriter( "output.txt" );
}

int getVal()
{
  return int( map( cur_y, height, min_y, 0, 100 ) );
}

void draw()
{
  background( 255 );
  fill( 128 );
  noStroke();
  
  // Get the current Y position and use it as bar height,
  // but don't let it get too close to the top of the window.
  cur_y = mouseY;
  if( cur_y < min_y ) {
    cur_y = min_y;
  }
  
  // Draw the bar
  rect( 0, cur_y, width, height );
  noFill();
  stroke( 0 );
  line( 0, cur_y, width, cur_y );
  
  // Draw a text label.
  fill( 0 );
  textAlign( CENTER );
  text( "" + getVal(), width/2, cur_y - 10 );
}

// If you press the mouse button, write the current bar height
// to the output file.
void mousePressed()
{
  bars.println( getVal() );
}

// If you press the "q" key, close the file and stop.
void keyPressed()
{
  if( key == 'q' ) {
    bars.flush();
    bars.close();
    exit();
  }
}
